Name: gedit
Version: 2.2.0.1
Release: alt1

Summary: gEdit is a small but powerful text editor for GNOME
License: GPL
Group: Editors
Url: ftp://ftp.gnome.org/

Source: %name-%version.tar.bz2
Source1: gedit_icons.tar.bz2

%define glib_ver 2.2.1
%define gail_ver 1.2.0
%define eel_ver 2.2.0.2
%define glade2_ver 2.0.1-alt2
%define libgnomeprintui_ver 2.2.1.1
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0
%define rpm_ver 4.0.4-alt14

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
Requires: glib2 >= %glib_ver
Requires: libgail >= %gail_ver
Requires: libgnomeprintui >= %libgnomeprintui_ver

BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: libeel2-devel >= %eel_ver
BuildPreReq: libglade2-devel >= %glade2_ver
BuildPreReq: libgnomeprintui-devel >= %libgnomeprintui_ver
BuildPreReq: rpm >= %rpm_ver

# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libXft libart_lgpl-devel libaspell-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat libgail-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libltdl-devel libpango-devel libpopt-devel libpspell-devel libssl-devel libxml2-devel libxslt pkgconfig pspell-ispell-devel scrollkeeper zlib-devel

%package devel
Group: Development/C
Summary: Libraries needed to develop plugins for gedit
Requires: %name = %version-%release

%description
gEdit is a small but powerful text editor designed expressly for GNOME.

It includes such features as split-screen mode, a plugin API, which
allows gEdit to be extended to support many features while remaining
small at its core, multiple document editing through the use of a
'tabbed' notebook and many more functions.

GNOME is required to use gEdit.

%description devel
Libraries needed to develop plugins for gedit.

%prep
%setup -q -a 1

%build
%configure --enable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset OMF_DIR
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu entry
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): \
needs="X11" section="Applications/Editors" \
title="GEdit" longtitle="gEdit is a small but powerful text editor" \
command="%_bindir/gedit" icon=gedit.png
__MENU__

# icons
%__install -pD -m 644 %{name}_16.png %buildroot%_miconsdir/%name.png
%__install -pD -m 644 %{name}_32.png %buildroot%_iconsdir/%name.png
%__install -pD -m 644 %{name}_48.png %buildroot%_liconsdir/%name.png

%find_lang --with-gnome --output=%name.lang %name %name-2.0

%define node /apps/gedit-2/preferences

%post
%post_ldconfig
%gconf2_install %name
%gconf2_set list string %node/editor/load/encodings [KOI8R,WINDOWS-1251,CP866]
%gconf2_set string %node/editor/save/save_encoding GEDIT_SAVE_ORIGINAL_FILE_ENCODING_IF_POSSIBLE_NCL
%gconf2_set int %node/ui/recents/max_recents 8
%update_scrollkeeper
%update_menus

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%dir %_libdir/%name-2
%dir %_libdir/%name-2/plugins
%_libdir/%name-2/plugins/*.so*
%_libdir/%name-2/plugins/*.gedit-plugin
%_datadir/%name-2
%_datadir/application-registry/*
%_datadir/applications/*
#%_datadir/omf/*
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_datadir/idl/*
%_mandir/man?/*
#%_datadir/gnome/help/*
%_menudir/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%config %_sysconfdir/gconf/schemas/*
%doc README ChangeLog TODO AUTHORS THANKS

%files devel
%_libdir/%name-2/plugins/*.a
%_libdir/%name-2/plugins/*.la

%changelog
* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Wed Nov 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2.1-alt1
- 2.1.2.1

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- Added some default settings in %%post via %%gconf2_set.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Mon Oct 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0.1-alt1
- 2.1.0.1

* Fri Sep 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.5-alt1
- go to gnome2

* Thu Dec 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.9.6-alt3
- fixed default font
- spec cleanup
- added Belarusian translation

* Tue Apr 17 2001 AEN <aen@logic.ru> 0.9.6-alt2
- i18n printing support added (patch by Vlad Harchev from gnumeric)
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.9.6-alt1
- new version in new environment

* Thu Nov 30 2000 AEN <aen@logic.ru>
- utf8 print patch

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- moved plugins .so in normal package

* Wed Sep 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-3mdk
- fixed langs
- further macroszification
- fixed icons
- fixed buildroot
- commented out .desktop
- fixed help

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- release 0.9.0 (from helix)
- BM + macroszification

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 0.7.0-4mdk
- Corrected po file source name gz -> bz2.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 0.7.0-3mdk
- Re-include po files.

* Thu Jun 15 2000 Reinhard Katzmann <reinhard@suamor.de> 0.7.0-2mdk
- Several important files were not included in the package :-(

* Mon Jun 12 2000 dam's <damien@mandrakesoft.com> 0.7.0-1mdk
- updated from helix.
- clean up spec.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Add icons

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-2mdk
- Add menu entry

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.1-1mdk
- build release
- cleanup spec file .
- add post and postun sections (sometimes handy)
- upgrade from helix

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.5-2mdk
- fix group
- package should not be relocatable

* Wed Nov 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.5.5

* Fri Aug 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest translation files from CVS

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpage

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.4 from CVS :

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.

	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.

	* NEWS: Added Announce message for 0.5.4.

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..

	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..

	* gE_mdi.c: various improvements.. (iirc ;)

	* gE_prefs.[ch]: Added a "close doc" flag..

	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the
	  flag, above.

	* commands.c: Made the close callback check the "close doc" flag, and
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
